net.sf.statcvs.reportmodel

## Class Column

- java.lang.Object
- - net.sf.statcvs.reportmodel.Column

- Direct Known Subclasses:
    GenericColumn, IntegerColumn, LinkColumn, RatioColumn

      public abstract class Column
      extends java.lang.Object

  An abstract base class for table columns. Concrete Sublasses implement different behaviour for different data types.
  Version:
    $Id: Column.java,v 1.4 2008/04/02 11:22:14 benoitx Exp $
  Author:
    Richard Cyganiak

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Column()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `getRows()` Return number of rows that have been added to this column
    `abstract void` | `renderCell(int rowIndex, TableCellRenderer renderer)` Renders a row of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods
    `abstract void` | `renderHead(TableCellRenderer renderer)` Renders the head of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods
    `abstract void` | `renderTotal(TableCellRenderer renderer)` Renders the footer of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Column

          public Column()

  - ### Method Detail

    - #### getRows

          public abstract int getRows()

      Return number of rows that have been added to this column
      Returns:
        number of rows that have been added to this column

    - #### renderHead

          public abstract void renderHead(TableCellRenderer renderer)

      Renders the head of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods
      Parameters:
        `renderer` - the TableCellRenderer to use TODO: this is probably unnecessary; better add a getTitle method

    - #### renderCell

          public abstract void renderCell(int rowIndex,
                        TableCellRenderer renderer)

      Renders a row of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods
      Parameters:
        `rowIndex` - the row number, starting at 0
        `renderer` - the TableCellRenderer to use

    - #### renderTotal

          public abstract void renderTotal(TableCellRenderer renderer)

      Renders the footer of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods. The footer usually contains some kind of total for the column.
      Parameters:
        `renderer` - the TableCellRenderer to use